<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//
// $Id: auditlog.php 59 2010-03-08 22:56:21Z egalstad $

require_once(dirname(__FILE__).'/../includes/common.inc.php');

// initialization stuff
pre_init();

// start session
init_session();

// grab GET or POST variables 
grab_request_vars();

// check prereqs
check_prereqs();

// check authentication
check_authentication(false);

// only admins can access this page
if(is_admin()==false){
	echo $lstr['NotAuthorizedErrorText'];
	exit();
	}

// route request
route_request();


function route_request(){
	global $request;
	
	if(in_demo_mode()==true)
		header("Location: main.php");

	show_log();
	
	exit;
	}
	
	
function show_log($error=false,$msg=""){
	global $request;
	global $lstr;
	

	do_page_start(array("page_title"=>$lstr['AuditLogPageTitle']),true);

?>

	
	<h1><?php echo $lstr['AuditLogPageTitle'];?></h1>
	

<?php
	display_message($error,false,$msg);
?>

	<?php echo $lstr['AuditLogPageNotes'];?>

	<p><b>This feature will be coming soon - check for updates!</b></p>


<?php

	do_page_end(true);
	exit();
	}



?>