<?php
// HTML EXAMPLE DASHLET
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: testhtml.inc.php 59 2010-03-08 22:56:21Z egalstad $

include_once(dirname(__FILE__).'/../dashlethelper.inc.php');

// run the initialization function
testhtml_dashlet_init();

function testhtml_dashlet_init(){
	
	// respect the name!
	$name="testhtml";
	
	$args=array(

		// need a name
		DASHLET_NAME => $name,
		
		// informative information
		DASHLET_VERSION => "1.0",
		DASHLET_DATE => "09-22-2009",
		DASHLET_AUTHOR => "Nagios Enterprises, LLC",
		DASHLET_DESCRIPTION => "A test of an HTML dashlet.  HTML dashlets can contain Javascript to add some cool functionality, but they are generally less self-aware and powerful than other types of dashlets.",
		DASHLET_COPYRIGHT => "Copyright (c) 2009 Nagios Enterprises",
		DASHLET_LICENSE => "BSD",
		DASHLET_HOMEPAGE => "http://www.nagios.com",
		
		// the good stuff - only one output method is used.  order of preference is 1) function, 2) url
		//DASHLET_FUNCTION => "testhtml_dashlet_func",
		//DASHLET_URL => get_dashlet_url_base($name)."/$name.php",
		DASHLET_HTML=> "This is just some simeple HTML.  Don't laugh -  You wouldn't be sitting here today staring at me without HTML.   Hey, what are you staring at anyway?",
		
		DASHLET_TITLE => "Simple HTML Dashlet",
		
		DASHLET_OUTBOARD_CLASS => "testhtml_outboardclass",
		DASHLET_INBOARD_CLASS => "testhtml_inboardclass",
		DASHLET_PREVIEW_CLASS => "testhtml_previewclass",
		
		//DASHLET_CSS_FILE => "testhtml.css",
		//DASHLET_JS_FILE => "testhtml.js",

		DASHLET_WIDTH => "350px",
		DASHLET_HEIGHT => "60px",
		DASHLET_OPACITY => "0.5",
		DASHLET_BACKGROUND => "",

//		DASHLET_REFRESHRATE => -1,
		);
	register_dashlet($name,$args);
	}
	

?>