<?php
//
// Copyright (c) 2008 Nagios Enterprises, LLC.  All rights reserved.
//
// $Id: header.inc.php 59 2010-03-08 22:56:21Z egalstad $

include_once(dirname(__FILE__).'/common.inc.php');

global $lstr;
?>

<!--- HEADER START -->

<div id="toplogo">
   <a href="http://www.nagios.com/products/" target="_blank"><img src="<?php echo get_base_url();?>images/nagiosxi-logo-small.png" border="0" alt="<?php echo get_product_name();?>" title="<?php echo get_product_name();?>"></a>
</div>
<div id="authinfo">
<?php
	if(is_authenticated()==true){
?>
<div id="authinfoname">
Logged in as: <a href="<?php echo get_base_url();?>account/"><?php echo $_SESSION["username"];?></a>
</div>
<div id="authlogout">
<a href="<?php echo get_base_url().PAGEFILE_LOGIN;?>?logout">Logout</a>
</div>
<?php
	}
?>
</div>
<div id="topmenucontainer">
	<ul class="menu">
<?php
	if(is_authenticated()==true){
?>
	<li><a href="<?php echo get_base_url();?>">Home</a></li>
	<li><a href="<?php echo get_base_url();?>views/">Views</a></li>
	<li><a href="<?php echo get_base_url();?>dashboards/">Dashboards</a></li>
	<li><a href="<?php echo get_base_url();?>reports/">Reports</a></li>
<?php
		if(is_authorized_to_configure_objects()==true){
?>
	<li><a href="<?php echo get_base_url();?>config/">Configure</a></li>
<?php
			}
?>
	<li><a href="<?php echo get_base_url();?>help/">Help</a></li>

<?php
		if(is_admin()==true){
?>
	<li><a href="<?php echo get_base_url();?>admin/">Admin</a></li>
<?php
			}
?>
<?php
	}
	else{
?>
	<li><a href="<?php echo get_base_url().PAGEFILE_LOGIN;?>">Login</a></li>
<?php
	}
?>
	</ul>
</div>
<?php
	if(is_authenticated()==true){
?>

<div id="primarybuttons">
<div id="permalink">
<a href="#" alt="<?php echo $lstr['GetPermalinkAlt'];?>" title="<?php echo $lstr['GetPermalinkAlt'];?>"></a>
</div>
<div id="feedback">
<a href="#" alt="<?php echo $lstr['SendFeedbackAlt'];?>" title="<?php echo $lstr['SendFeedbackAlt'];?>"></a>
</div>
</div>
<?php
		}
?>
<?php display_feedback_layer();?>
<div id="popup_layer">
	<div id="popup_content">
	<div id="popup_close">
	<a id="close_popup_link" href="#"><img src="<?php echo get_base_url();?>images/b_close.png" border="0" alt="<?php echo $lstr['CloseAlt']?>" title="<?php echo $lstr['CloseAlt'];?>"> <?php echo $lstr['CloseAlt'];?></a>
	</div>
	<div id="popup_container">
	</div>
	</div>
</div>

<!-- HEADER END -->

<?php

function display_feedback_layer(){
	global $cfg;
	global $lstr;
	
	$name=get_user_attr(0,'name');
	$email=get_user_attr(0,'email');
?>
	<div id="feedback_layer">
	<div id="feedback_content">
	
	<div id="feedback_close">
	<a id="close_feedback_link" href="#"><img src="<?php echo get_base_url();?>images/b_close.png" border="0" alt="<?php echo $lstr['CloseAlt']?>" title="<?php echo $lstr['CloseAlt'];?>"> <?php echo $lstr['CloseAlt'];?></a>
	</div>
	
	<div id="feedback_container">
	
	<div id="feedback_header">
	<b><?php echo $lstr['FeedbackPopupTitle'];?></b>
	<p><?php echo $lstr['FeedbackSendIntroText'];?></p>
	</div><!-- feedback_header -->
	
	<div id="feedback_data">

	<form id="feedback_form" method="get" action="<?php echo get_ajax_proxy_url();?>">

	<input type="hidden" name="proxyurl" value="<?php echo $cfg['feedback_url'];?>">
	<input type="hidden" name="proxymethod" value="post">

	<input type="hidden" name="product" value="<?php echo get_product_name(true);?>">
	<input type="hidden" name="version" value="<?php echo get_product_version();?>">
	<input type="hidden" name="build" value="<?php echo get_product_build();?>">
	<!--<input type="hidden" name="page" value="<?php //echo get_current_page();?>">-->
	<!--<input type="hidden" name="language" value="<?php //echo $_SESSION["language"];?>">-->
	<!--<input type="hidden" name="theme" value="<?php //echo $_SESSION["theme"];?>">-->

	<label for="feedbackCommentBox"><?php echo $lstr['FeedbackCommentBoxText'];?>:</label><br class="nobr" />
	<textarea class="textarea" name="comment" cols="40" rows="3"></textarea><br class="nobr" />

	<label for="feedbackNameBox"><?php echo $lstr['FeedbackNameBoxTitle'];?>:</label><br class="nobr" />
	<input type="text" size="30" name="name" id="feedbackNameBox" value="<?php echo $name;?>" class="textfield" /><br class="nobr" />

	<label for="feedbackEmailAddressBox"><?php echo $lstr['FeedbackEmailBoxTitle'];?>:</label><br class="nobr" />
	<input type="text" size="30" name="email" id="feedbackEmailAddressBox" value="<?php echo $email;?>" class="textfield" /><br class="nobr" />

	<div id="feedbackFormButtons">
	<input type="submit" class="submitbutton" name="submitButton" value="<?php echo $lstr['SubmitButton'];?>" id="submitFeedbackButton">
	</div>
	
	<br clear="all">
	<p>
	<a href="<?php echo $cfg["privacy_policy_url"];?>" target="_blank"><?php echo $lstr['PrivacyPolicyLinkText'];?></a>
	</p>

	</form>
	
	</div><!-- feedback_data -->
	
	</div><!-- feedback_container-->
	
	
	</div><!--feedback_content-->
	</div><!--feedback_layer-->
<?php
	}
